Sign inGet started

Macros

GET
/workspaces/{workspaceId}/macros
Retrieve list of macros.
Paramètres de requête
limit
integer
Limits the number of results to return.
pageToken
string
The cursor that keeps track of the current position in the results.
reverse
boolean
Reverses the order in which the results are returned.
sort
string
The field by which to sort macros.
Possible values: createdAt, updatedAt, name, language
q
string
A full-text search parameter that searches for macros by name, response body, and/or tag name.
languages
array
Filter macros by language. Multiple languages are combined with a logical OR.
tagIds
array
Filter macros by tag IDs. Multiple tag IDs are combined with a logical AND.
Corps de la réponse
results
array of object
obligatoire
Afficher les attributs enfants
results.id
string
obligatoire
results.name
string
obligatoire
The user-defined display name of the macro.
results.response
object
Afficher les attributs enfants
results.response.text
object
obligatoire
Afficher les attributs enfants
results.response.text.actions
array of object
Afficher les attributs enfants
results.response.text.actions.link
object
obligatoire
Afficher les attributs enfants
results.response.text.actions.link.metadata
object
Afficher les attributs enfants
results.response.text.actions.link.metadata.description
object
Afficher les attributs enfants
results.response.text.actions.link.metadata.description.label
string
obligatoire
results.response.text.actions.link.text
string
obligatoire
results.response.text.actions.link.url
string
obligatoire
results.response.text.actions.type
string
obligatoire
Possible values: link
results.response.text.attachments
array of object
Afficher les attributs enfants
results.response.text.attachments.content
string
results.response.text.attachments.contentId
string
results.response.text.attachments.contentType
string
results.response.text.attachments.filename
string
obligatoire
results.response.text.attachments.inline
boolean
results.response.text.attachments.mediaUrl
string
obligatoire
results.response.text.metadata
object
Afficher les attributs enfants
results.response.text.metadata.apple
object
Afficher les attributs enfants
results.response.text.metadata.apple.appClipPreview
boolean
results.response.text.metadata.apple.appClipRegion
string
results.response.text.metadata.apple.summaryText
string
results.response.text.metadata.headers
object
results.response.text.metadata.line
object
Afficher les attributs enfants
results.response.text.metadata.line.emoji
object
Afficher les attributs enfants
results.response.text.metadata.line.emoji.items
array of object
Afficher les attributs enfants
results.response.text.metadata.line.emoji.items.emojiId
string
obligatoire
results.response.text.metadata.line.emoji.items.index
integer
obligatoire
results.response.text.metadata.line.emoji.items.length
integer
results.response.text.metadata.line.emoji.items.productId
string
obligatoire
results.response.text.metadata.paymentDetails
object
Afficher les attributs enfants
results.response.text.metadata.paymentDetails.amount
string
obligatoire
results.response.text.metadata.paymentDetails.currency
string
obligatoire
results.response.text.metadata.paymentDetails.sessionIdentifier
string
results.response.text.metadata.paymentDetails.state
string
obligatoire
results.response.text.metadata.subject
string
results.response.text.metadata.telegram
object
Afficher les attributs enfants
results.response.text.metadata.telegram.parseMode
string
results.response.text.metadata.whatsapp
object
Afficher les attributs enfants
results.response.text.metadata.whatsapp.callPermissionExpiration
string
results.response.text.metadata.whatsapp.callPermissionResponse
string
Possible values: accept, reject
results.response.text.metadata.whatsapp.previewUrl
boolean
obligatoire
results.response.text.metadata.whatsapp.sharedContacts
array of object
Afficher les attributs enfants
results.response.text.metadata.whatsapp.sharedContacts.origin
string
obligatoire
results.response.text.metadata.whatsapp.sharedContacts.phones
array of object
Afficher les attributs enfants
results.response.text.metadata.whatsapp.sharedContacts.phones.phone
string
obligatoire
results.response.text.metadata.whatsapp.sharedContacts.phones.type
string
obligatoire
results.response.text.metadata.whatsapp.sharedContacts.phones.waId
string
obligatoire
results.response.text.metadata.whatsapp.sharedContacts.vcard
string
results.response.text.text
string
obligatoire
results.response.type
string
obligatoire
Possible values: text
results.language
string
The optional user-defined language of the macro.
results.usageCount
integer
results.tags
array of object
Afficher les attributs enfants
results.tags.id
string
obligatoire
results.tags.name
string
obligatoire
results.tags.description
string
obligatoire
results.tags.status
string
obligatoire
Possible values: draft, active, deleted
results.tags.category
object
Afficher les attributs enfants
results.tags.category.id
string
obligatoire
results.tags.category.name
string
obligatoire
results.tags.category.description
string
obligatoire
results.tags.category.icon
string
Possible values: none, language, product, location, intent, department
results.tags.category.emoji
string
obligatoire
results.tags.category.createdAt
string
obligatoire
results.tags.category.updatedAt
string
obligatoire
results.tags.agentCount
integer
results.tags.itemCount
integer
results.tags.macroCount
integer
results.tags.createdAt
string
obligatoire
results.tags.updatedAt
string
obligatoire
results.tags.deletedAt
string
results.tags.lastUsed
object
Afficher les attributs enfants
results.tags.lastUsed.addedToItemAt
string
results.tags.lastUsed.addedToItemId
string
results.tags.lastUsed.removedFromItemAt
string
results.tags.lastUsed.removedFromItemId
string
results.createdAt
string
obligatoire
results.updatedAt
string
obligatoire
results.actions
array of object
A list of macro actions to be executed. The order of actions may be changed by the service.
Afficher les attributs enfants
results.actions.type
string
obligatoire
The type of this action.
results.actions.params
object
The parameters of this action. The accepted keys and values are defined by the action type.
results.actions.source
object
The source of this action. If received in a response, should be passed as-is in a subsequent request.
Afficher les attributs enfants
results.actions.source.macroId
string
obligatoire
results.actions.source.actionId
string
obligatoire
results.actions.outcome
string
The outcome of executing this action.
Possible values: OK, Error, Skipped
results.actions.cause
string
The cause of the outcome of this action, if the outcome is Error.
nextPageToken
string
The token that can be passed as pageToken in URL to retrieve the next set of results. If missing, no more results to display.
Exemple de code
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/macros' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
POST
/workspaces/{workspaceId}/macros
Add a new macro to a workspace.
Corps de la requête
name
string
obligatoire
The user-defined display name of the macro.
response
object
Afficher les paramètres enfants
response.text
object
obligatoire
Afficher les paramètres enfants
response.text.actions
array of object
Afficher les paramètres enfants
response.text.actions.link
object
obligatoire
Afficher les paramètres enfants
response.text.actions.link.metadata
object
Afficher les paramètres enfants
response.text.actions.link.metadata.description
object
Afficher les paramètres enfants
response.text.actions.link.metadata.description.label
string
obligatoire
response.text.actions.link.text
string
obligatoire
response.text.actions.link.url
string
obligatoire
response.text.actions.type
string
obligatoire
Possible values: link
response.text.attachments
array of object
Afficher les paramètres enfants
response.text.attachments.content
string
response.text.attachments.contentId
string
response.text.attachments.contentType
string
response.text.attachments.filename
string
obligatoire
response.text.attachments.inline
boolean
response.text.attachments.mediaUrl
string
obligatoire
response.text.metadata
object
Afficher les paramètres enfants
response.text.metadata.apple
object
Afficher les paramètres enfants
response.text.metadata.apple.appClipPreview
boolean
response.text.metadata.apple.appClipRegion
string
response.text.metadata.apple.summaryText
string
response.text.metadata.headers
object
response.text.metadata.line
object
Afficher les paramètres enfants
response.text.metadata.line.emoji
object
Afficher les paramètres enfants
response.text.metadata.line.emoji.items
array of object
Afficher les paramètres enfants
response.text.metadata.line.emoji.items.emojiId
string
obligatoire
response.text.metadata.line.emoji.items.index
integer
obligatoire
response.text.metadata.line.emoji.items.length
integer
response.text.metadata.line.emoji.items.productId
string
obligatoire
response.text.metadata.paymentDetails
object
Afficher les paramètres enfants
response.text.metadata.paymentDetails.amount
string
obligatoire
response.text.metadata.paymentDetails.currency
string
obligatoire
response.text.metadata.paymentDetails.sessionIdentifier
string
response.text.metadata.paymentDetails.state
string
obligatoire
response.text.metadata.subject
string
response.text.metadata.telegram
object
Afficher les paramètres enfants
response.text.metadata.telegram.parseMode
string
response.text.metadata.whatsapp
object
Afficher les paramètres enfants
response.text.metadata.whatsapp.callPermissionExpiration
string
response.text.metadata.whatsapp.callPermissionResponse
string
Possible values: accept, reject
response.text.metadata.whatsapp.previewUrl
boolean
obligatoire
response.text.metadata.whatsapp.sharedContacts
array of object
Afficher les paramètres enfants
response.text.metadata.whatsapp.sharedContacts.origin
string
obligatoire
response.text.metadata.whatsapp.sharedContacts.phones
array of object
Afficher les paramètres enfants
response.text.metadata.whatsapp.sharedContacts.phones.phone
string
obligatoire
response.text.metadata.whatsapp.sharedContacts.phones.type
string
obligatoire
response.text.metadata.whatsapp.sharedContacts.phones.waId
string
obligatoire
response.text.metadata.whatsapp.sharedContacts.vcard
string
response.text.text
string
obligatoire
response.type
string
obligatoire
Possible values: text
language
string
The optional user-defined language of the macro.
tagIds
array of string
The list of tag IDs to associate with the macro.
actions
array of object
A list of macro actions to be executed. The order of actions may be changed by the service.
Afficher les paramètres enfants
actions.type
string
obligatoire
The type of this action.
actions.params
object
The parameters of this action. The accepted keys and values are defined by the action type.
actions.source
object
The source of this action. If received in a response, should be passed as-is in a subsequent request.
Afficher les paramètres enfants
actions.source.macroId
string
obligatoire
actions.source.actionId
string
obligatoire
actions.outcome
string
The outcome of executing this action.
Possible values: OK, Error, Skipped
actions.cause
string
The cause of the outcome of this action, if the outcome is Error.
Corps de la réponse
id
string
obligatoire
name
string
obligatoire
The user-defined display name of the macro.
response
object
Afficher les attributs enfants
response.text
object
obligatoire
Afficher les attributs enfants
response.text.actions
array of object
Afficher les attributs enfants
response.text.actions.link
object
obligatoire
Afficher les attributs enfants
response.text.actions.link.metadata
object
Afficher les attributs enfants
response.text.actions.link.metadata.description
object
Afficher les attributs enfants
response.text.actions.link.metadata.description.label
string
obligatoire
response.text.actions.link.text
string
obligatoire
response.text.actions.link.url
string
obligatoire
response.text.actions.type
string
obligatoire
Possible values: link
response.text.attachments
array of object
Afficher les attributs enfants
response.text.attachments.content
string
response.text.attachments.contentId
string
response.text.attachments.contentType
string
response.text.attachments.filename
string
obligatoire
response.text.attachments.inline
boolean
response.text.attachments.mediaUrl
string
obligatoire
response.text.metadata
object
Afficher les attributs enfants
response.text.metadata.apple
object
Afficher les attributs enfants
response.text.metadata.apple.appClipPreview
boolean
response.text.metadata.apple.appClipRegion
string
response.text.metadata.apple.summaryText
string
response.text.metadata.headers
object
response.text.metadata.line
object
Afficher les attributs enfants
response.text.metadata.line.emoji
object
Afficher les attributs enfants
response.text.metadata.line.emoji.items
array of object
Afficher les attributs enfants
response.text.metadata.line.emoji.items.emojiId
string
obligatoire
response.text.metadata.line.emoji.items.index
integer
obligatoire
response.text.metadata.line.emoji.items.length
integer
response.text.metadata.line.emoji.items.productId
string
obligatoire
response.text.metadata.paymentDetails
object
Afficher les attributs enfants
response.text.metadata.paymentDetails.amount
string
obligatoire
response.text.metadata.paymentDetails.currency
string
obligatoire
response.text.metadata.paymentDetails.sessionIdentifier
string
response.text.metadata.paymentDetails.state
string
obligatoire
response.text.metadata.subject
string
response.text.metadata.telegram
object
Afficher les attributs enfants
response.text.metadata.telegram.parseMode
string
response.text.metadata.whatsapp
object
Afficher les attributs enfants
response.text.metadata.whatsapp.callPermissionExpiration
string
response.text.metadata.whatsapp.callPermissionResponse
string
Possible values: accept, reject
response.text.metadata.whatsapp.previewUrl
boolean
obligatoire
response.text.metadata.whatsapp.sharedContacts
array of object
Afficher les attributs enfants
response.text.metadata.whatsapp.sharedContacts.origin
string
obligatoire
response.text.metadata.whatsapp.sharedContacts.phones
array of object
Afficher les attributs enfants
response.text.metadata.whatsapp.sharedContacts.phones.phone
string
obligatoire
response.text.metadata.whatsapp.sharedContacts.phones.type
string
obligatoire
response.text.metadata.whatsapp.sharedContacts.phones.waId
string
obligatoire
response.text.metadata.whatsapp.sharedContacts.vcard
string
response.text.text
string
obligatoire
response.type
string
obligatoire
Possible values: text
language
string
The optional user-defined language of the macro.
usageCount
integer
tags
array of object
Afficher les attributs enfants
tags.id
string
obligatoire
tags.name
string
obligatoire
tags.description
string
obligatoire
tags.status
string
obligatoire
Possible values: draft, active, deleted
tags.category
object
Afficher les attributs enfants
tags.category.id
string
obligatoire
tags.category.name
string
obligatoire
tags.category.description
string
obligatoire
tags.category.icon
string
Possible values: none, language, product, location, intent, department
tags.category.emoji
string
obligatoire
tags.category.createdAt
string
obligatoire
tags.category.updatedAt
string
obligatoire
tags.agentCount
integer
tags.itemCount
integer
tags.macroCount
integer
tags.createdAt
string
obligatoire
tags.updatedAt
string
obligatoire
tags.deletedAt
string
tags.lastUsed
object
Afficher les attributs enfants
tags.lastUsed.addedToItemAt
string
tags.lastUsed.addedToItemId
string
tags.lastUsed.removedFromItemAt
string
tags.lastUsed.removedFromItemId
string
createdAt
string
obligatoire
updatedAt
string
obligatoire
actions
array of object
A list of macro actions to be executed. The order of actions may be changed by the service.
Afficher les attributs enfants
actions.type
string
obligatoire
The type of this action.
actions.params
object
The parameters of this action. The accepted keys and values are defined by the action type.
actions.source
object
The source of this action. If received in a response, should be passed as-is in a subsequent request.
Afficher les attributs enfants
actions.source.macroId
string
obligatoire
actions.source.actionId
string
obligatoire
actions.outcome
string
The outcome of executing this action.
Possible values: OK, Error, Skipped
actions.cause
string
The cause of the outcome of this action, if the outcome is Error.
Exemple de code
curl -X POST 'https://api.bird.com/workspaces/{workspaceId}/macros' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
GET
/workspaces/{workspaceId}/macros/{macroId}
Retrieve information about a specific macro.
Corps de la réponse
id
string
obligatoire
name
string
obligatoire
The user-defined display name of the macro.
response
object
Afficher les attributs enfants
response.text
object
obligatoire
Afficher les attributs enfants
response.text.actions
array of object
Afficher les attributs enfants
response.text.actions.link
object
obligatoire
Afficher les attributs enfants
response.text.actions.link.metadata
object
Afficher les attributs enfants
response.text.actions.link.metadata.description
object
Afficher les attributs enfants
response.text.actions.link.metadata.description.label
string
obligatoire
response.text.actions.link.text
string
obligatoire
response.text.actions.link.url
string
obligatoire
response.text.actions.type
string
obligatoire
Possible values: link
response.text.attachments
array of object
Afficher les attributs enfants
response.text.attachments.content
string
response.text.attachments.contentId
string
response.text.attachments.contentType
string
response.text.attachments.filename
string
obligatoire
response.text.attachments.inline
boolean
response.text.attachments.mediaUrl
string
obligatoire
response.text.metadata
object
Afficher les attributs enfants
response.text.metadata.apple
object
Afficher les attributs enfants
response.text.metadata.apple.appClipPreview
boolean
response.text.metadata.apple.appClipRegion
string
response.text.metadata.apple.summaryText
string
response.text.metadata.headers
object
response.text.metadata.line
object
Afficher les attributs enfants
response.text.metadata.line.emoji
object
Afficher les attributs enfants
response.text.metadata.line.emoji.items
array of object
Afficher les attributs enfants
response.text.metadata.line.emoji.items.emojiId
string
obligatoire
response.text.metadata.line.emoji.items.index
integer
obligatoire
response.text.metadata.line.emoji.items.length
integer
response.text.metadata.line.emoji.items.productId
string
obligatoire
response.text.metadata.paymentDetails
object
Afficher les attributs enfants
response.text.metadata.paymentDetails.amount
string
obligatoire
response.text.metadata.paymentDetails.currency
string
obligatoire
response.text.metadata.paymentDetails.sessionIdentifier
string
response.text.metadata.paymentDetails.state
string
obligatoire
response.text.metadata.subject
string
response.text.metadata.telegram
object
Afficher les attributs enfants
response.text.metadata.telegram.parseMode
string
response.text.metadata.whatsapp
object
Afficher les attributs enfants
response.text.metadata.whatsapp.callPermissionExpiration
string
response.text.metadata.whatsapp.callPermissionResponse
string
Possible values: accept, reject
response.text.metadata.whatsapp.previewUrl
boolean
obligatoire
response.text.metadata.whatsapp.sharedContacts
array of object
Afficher les attributs enfants
response.text.metadata.whatsapp.sharedContacts.origin
string
obligatoire
response.text.metadata.whatsapp.sharedContacts.phones
array of object
Afficher les attributs enfants
response.text.metadata.whatsapp.sharedContacts.phones.phone
string
obligatoire
response.text.metadata.whatsapp.sharedContacts.phones.type
string
obligatoire
response.text.metadata.whatsapp.sharedContacts.phones.waId
string
obligatoire
response.text.metadata.whatsapp.sharedContacts.vcard
string
response.text.text
string
obligatoire
response.type
string
obligatoire
Possible values: text
language
string
The optional user-defined language of the macro.
usageCount
integer
tags
array of object
Afficher les attributs enfants
tags.id
string
obligatoire
tags.name
string
obligatoire
tags.description
string
obligatoire
tags.status
string
obligatoire
Possible values: draft, active, deleted
tags.category
object
Afficher les attributs enfants
tags.category.id
string
obligatoire
tags.category.name
string
obligatoire
tags.category.description
string
obligatoire
tags.category.icon
string
Possible values: none, language, product, location, intent, department
tags.category.emoji
string
obligatoire
tags.category.createdAt
string
obligatoire
tags.category.updatedAt
string
obligatoire
tags.agentCount
integer
tags.itemCount
integer
tags.macroCount
integer
tags.createdAt
string
obligatoire
tags.updatedAt
string
obligatoire
tags.deletedAt
string
tags.lastUsed
object
Afficher les attributs enfants
tags.lastUsed.addedToItemAt
string
tags.lastUsed.addedToItemId
string
tags.lastUsed.removedFromItemAt
string
tags.lastUsed.removedFromItemId
string
createdAt
string
obligatoire
updatedAt
string
obligatoire
actions
array of object
A list of macro actions to be executed. The order of actions may be changed by the service.
Afficher les attributs enfants
actions.type
string
obligatoire
The type of this action.
actions.params
object
The parameters of this action. The accepted keys and values are defined by the action type.
actions.source
object
The source of this action. If received in a response, should be passed as-is in a subsequent request.
Afficher les attributs enfants
actions.source.macroId
string
obligatoire
actions.source.actionId
string
obligatoire
actions.outcome
string
The outcome of executing this action.
Possible values: OK, Error, Skipped
actions.cause
string
The cause of the outcome of this action, if the outcome is Error.
Exemple de code
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/macros/{macroId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
PATCH
/workspaces/{workspaceId}/macros/{macroId}
Modify fields of a specific macro.
Corps de la requête
name
string
The user-defined display name of the macro.
response
object
Afficher les paramètres enfants
response.text
object
obligatoire
Afficher les paramètres enfants
response.text.actions
array of object
Afficher les paramètres enfants
response.text.actions.link
object
obligatoire
Afficher les paramètres enfants
response.text.actions.link.metadata
object
Afficher les paramètres enfants
response.text.actions.link.metadata.description
object
Afficher les paramètres enfants
response.text.actions.link.metadata.description.label
string
obligatoire
response.text.actions.link.text
string
obligatoire
response.text.actions.link.url
string
obligatoire
response.text.actions.type
string
obligatoire
Possible values: link
response.text.attachments
array of object
Afficher les paramètres enfants
response.text.attachments.content
string
response.text.attachments.contentId
string
response.text.attachments.contentType
string
response.text.attachments.filename
string
obligatoire
response.text.attachments.inline
boolean
response.text.attachments.mediaUrl
string
obligatoire
response.text.metadata
object
Afficher les paramètres enfants
response.text.metadata.apple
object
Afficher les paramètres enfants
response.text.metadata.apple.appClipPreview
boolean
response.text.metadata.apple.appClipRegion
string
response.text.metadata.apple.summaryText
string
response.text.metadata.headers
object
response.text.metadata.line
object
Afficher les paramètres enfants
response.text.metadata.line.emoji
object
Afficher les paramètres enfants
response.text.metadata.line.emoji.items
array of object
Afficher les paramètres enfants
response.text.metadata.line.emoji.items.emojiId
string
obligatoire
response.text.metadata.line.emoji.items.index
integer
obligatoire
response.text.metadata.line.emoji.items.length
integer
response.text.metadata.line.emoji.items.productId
string
obligatoire
response.text.metadata.paymentDetails
object
Afficher les paramètres enfants
response.text.metadata.paymentDetails.amount
string
obligatoire
response.text.metadata.paymentDetails.currency
string
obligatoire
response.text.metadata.paymentDetails.sessionIdentifier
string
response.text.metadata.paymentDetails.state
string
obligatoire
response.text.metadata.subject
string
response.text.metadata.telegram
object
Afficher les paramètres enfants
response.text.metadata.telegram.parseMode
string
response.text.metadata.whatsapp
object
Afficher les paramètres enfants
response.text.metadata.whatsapp.callPermissionExpiration
string
response.text.metadata.whatsapp.callPermissionResponse
string
Possible values: accept, reject
response.text.metadata.whatsapp.previewUrl
boolean
obligatoire
response.text.metadata.whatsapp.sharedContacts
array of object
Afficher les paramètres enfants
response.text.metadata.whatsapp.sharedContacts.origin
string
obligatoire
response.text.metadata.whatsapp.sharedContacts.phones
array of object
Afficher les paramètres enfants
response.text.metadata.whatsapp.sharedContacts.phones.phone
string
obligatoire
response.text.metadata.whatsapp.sharedContacts.phones.type
string
obligatoire
response.text.metadata.whatsapp.sharedContacts.phones.waId
string
obligatoire
response.text.metadata.whatsapp.sharedContacts.vcard
string
response.text.text
string
obligatoire
response.type
string
obligatoire
Possible values: text
language
string
The optional user-defined language of the macro.
tagIds
array of string
The list of tag IDs to associate with the macro. An empty list will remove all tags.
actions
array of object
A list of macro actions to be executed. The order of actions may be changed by the service.
Afficher les paramètres enfants
actions.type
string
obligatoire
The type of this action.
actions.params
object
The parameters of this action. The accepted keys and values are defined by the action type.
actions.source
object
The source of this action. If received in a response, should be passed as-is in a subsequent request.
Afficher les paramètres enfants
actions.source.macroId
string
obligatoire
actions.source.actionId
string
obligatoire
actions.outcome
string
The outcome of executing this action.
Possible values: OK, Error, Skipped
actions.cause
string
The cause of the outcome of this action, if the outcome is Error.
Corps de la réponse
id
string
obligatoire
name
string
obligatoire
The user-defined display name of the macro.
response
object
Afficher les attributs enfants
response.text
object
obligatoire
Afficher les attributs enfants
response.text.actions
array of object
Afficher les attributs enfants
response.text.actions.link
object
obligatoire
Afficher les attributs enfants
response.text.actions.link.metadata
object
Afficher les attributs enfants
response.text.actions.link.metadata.description
object
Afficher les attributs enfants
response.text.actions.link.metadata.description.label
string
obligatoire
response.text.actions.link.text
string
obligatoire
response.text.actions.link.url
string
obligatoire
response.text.actions.type
string
obligatoire
Possible values: link
response.text.attachments
array of object
Afficher les attributs enfants
response.text.attachments.content
string
response.text.attachments.contentId
string
response.text.attachments.contentType
string
response.text.attachments.filename
string
obligatoire
response.text.attachments.inline
boolean
response.text.attachments.mediaUrl
string
obligatoire
response.text.metadata
object
Afficher les attributs enfants
response.text.metadata.apple
object
Afficher les attributs enfants
response.text.metadata.apple.appClipPreview
boolean
response.text.metadata.apple.appClipRegion
string
response.text.metadata.apple.summaryText
string
response.text.metadata.headers
object
response.text.metadata.line
object
Afficher les attributs enfants
response.text.metadata.line.emoji
object
Afficher les attributs enfants
response.text.metadata.line.emoji.items
array of object
Afficher les attributs enfants
response.text.metadata.line.emoji.items.emojiId
string
obligatoire
response.text.metadata.line.emoji.items.index
integer
obligatoire
response.text.metadata.line.emoji.items.length
integer
response.text.metadata.line.emoji.items.productId
string
obligatoire
response.text.metadata.paymentDetails
object
Afficher les attributs enfants
response.text.metadata.paymentDetails.amount
string
obligatoire
response.text.metadata.paymentDetails.currency
string
obligatoire
response.text.metadata.paymentDetails.sessionIdentifier
string
response.text.metadata.paymentDetails.state
string
obligatoire
response.text.metadata.subject
string
response.text.metadata.telegram
object
Afficher les attributs enfants
response.text.metadata.telegram.parseMode
string
response.text.metadata.whatsapp
object
Afficher les attributs enfants
response.text.metadata.whatsapp.callPermissionExpiration
string
response.text.metadata.whatsapp.callPermissionResponse
string
Possible values: accept, reject
response.text.metadata.whatsapp.previewUrl
boolean
obligatoire
response.text.metadata.whatsapp.sharedContacts
array of object
Afficher les attributs enfants
response.text.metadata.whatsapp.sharedContacts.origin
string
obligatoire
response.text.metadata.whatsapp.sharedContacts.phones
array of object
Afficher les attributs enfants
response.text.metadata.whatsapp.sharedContacts.phones.phone
string
obligatoire
response.text.metadata.whatsapp.sharedContacts.phones.type
string
obligatoire
response.text.metadata.whatsapp.sharedContacts.phones.waId
string
obligatoire
response.text.metadata.whatsapp.sharedContacts.vcard
string
response.text.text
string
obligatoire
response.type
string
obligatoire
Possible values: text
language
string
The optional user-defined language of the macro.
usageCount
integer
tags
array of object
Afficher les attributs enfants
tags.id
string
obligatoire
tags.name
string
obligatoire
tags.description
string
obligatoire
tags.status
string
obligatoire
Possible values: draft, active, deleted
tags.category
object
Afficher les attributs enfants
tags.category.id
string
obligatoire
tags.category.name
string
obligatoire
tags.category.description
string
obligatoire
tags.category.icon
string
Possible values: none, language, product, location, intent, department
tags.category.emoji
string
obligatoire
tags.category.createdAt
string
obligatoire
tags.category.updatedAt
string
obligatoire
tags.agentCount
integer
tags.itemCount
integer
tags.macroCount
integer
tags.createdAt
string
obligatoire
tags.updatedAt
string
obligatoire
tags.deletedAt
string
tags.lastUsed
object
Afficher les attributs enfants
tags.lastUsed.addedToItemAt
string
tags.lastUsed.addedToItemId
string
tags.lastUsed.removedFromItemAt
string
tags.lastUsed.removedFromItemId
string
createdAt
string
obligatoire
updatedAt
string
obligatoire
actions
array of object
A list of macro actions to be executed. The order of actions may be changed by the service.
Afficher les attributs enfants
actions.type
string
obligatoire
The type of this action.
actions.params
object
The parameters of this action. The accepted keys and values are defined by the action type.
actions.source
object
The source of this action. If received in a response, should be passed as-is in a subsequent request.
Afficher les attributs enfants
actions.source.macroId
string
obligatoire
actions.source.actionId
string
obligatoire
actions.outcome
string
The outcome of executing this action.
Possible values: OK, Error, Skipped
actions.cause
string
The cause of the outcome of this action, if the outcome is Error.
Exemple de code
curl -X PATCH 'https://api.bird.com/workspaces/{workspaceId}/macros/{macroId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
DELETE
/workspaces/{workspaceId}/macros/{macroId}
Remove a specific macro.
Exemple de code
curl -X DELETE 'https://api.bird.com/workspaces/{workspaceId}/macros/{macroId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
POST
/workspaces/{workspaceId}/macros/{macroId}/preview
Retrieves the macro with variable substitutions applied to the response body.
Corps de la requête
itemId
string
The ID of the feed item to source variables from. May be omitted where no feed item exists.
contactId
string
The ID of the contact to source variables from. If not provided, the macro will attempt to find a contact from the feed item.
contact
object
Afficher les paramètres enfants
The ID of the contact to source variables from. If not provided, the macro will attempt to find a contact from the feed item.
contact.id
string
obligatoire
actions
array of object
A list of macro actions to be executed. The order of actions may be changed by the service.
Afficher les paramètres enfants
actions.type
string
obligatoire
The type of this action.
actions.params
object
The parameters of this action. The accepted keys and values are defined by the action type.
actions.source
object
The source of this action. If received in a response, should be passed as-is in a subsequent request.
Afficher les paramètres enfants
actions.source.macroId
string
obligatoire
actions.source.actionId
string
obligatoire
actions.outcome
string
The outcome of executing this action.
Possible values: OK, Error, Skipped
actions.cause
string
The cause of the outcome of this action, if the outcome is Error.
Corps de la réponse
response
object
Afficher les attributs enfants
response.text
object
obligatoire
Afficher les attributs enfants
response.text.actions
array of object
Afficher les attributs enfants
response.text.actions.link
object
obligatoire
Afficher les attributs enfants
response.text.actions.link.metadata
object
Afficher les attributs enfants
response.text.actions.link.metadata.description
object
Afficher les attributs enfants
response.text.actions.link.metadata.description.label
string
obligatoire
response.text.actions.link.text
string
obligatoire
response.text.actions.link.url
string
obligatoire
response.text.actions.type
string
obligatoire
Possible values: link
response.text.attachments
array of object
Afficher les attributs enfants
response.text.attachments.content
string
response.text.attachments.contentId
string
response.text.attachments.contentType
string
response.text.attachments.filename
string
obligatoire
response.text.attachments.inline
boolean
response.text.attachments.mediaUrl
string
obligatoire
response.text.metadata
object
Afficher les attributs enfants
response.text.metadata.apple
object
Afficher les attributs enfants
response.text.metadata.apple.appClipPreview
boolean
response.text.metadata.apple.appClipRegion
string
response.text.metadata.apple.summaryText
string
response.text.metadata.headers
object
response.text.metadata.line
object
Afficher les attributs enfants
response.text.metadata.line.emoji
object
Afficher les attributs enfants
response.text.metadata.line.emoji.items
array of object
Afficher les attributs enfants
response.text.metadata.line.emoji.items.emojiId
string
obligatoire
response.text.metadata.line.emoji.items.index
integer
obligatoire
response.text.metadata.line.emoji.items.length
integer
response.text.metadata.line.emoji.items.productId
string
obligatoire
response.text.metadata.paymentDetails
object
Afficher les attributs enfants
response.text.metadata.paymentDetails.amount
string
obligatoire
response.text.metadata.paymentDetails.currency
string
obligatoire
response.text.metadata.paymentDetails.sessionIdentifier
string
response.text.metadata.paymentDetails.state
string
obligatoire
response.text.metadata.subject
string
response.text.metadata.telegram
object
Afficher les attributs enfants
response.text.metadata.telegram.parseMode
string
response.text.metadata.whatsapp
object
Afficher les attributs enfants
response.text.metadata.whatsapp.callPermissionExpiration
string
response.text.metadata.whatsapp.callPermissionResponse
string
Possible values: accept, reject
response.text.metadata.whatsapp.previewUrl
boolean
obligatoire
response.text.metadata.whatsapp.sharedContacts
array of object
Afficher les attributs enfants
response.text.metadata.whatsapp.sharedContacts.origin
string
obligatoire
response.text.metadata.whatsapp.sharedContacts.phones
array of object
Afficher les attributs enfants
response.text.metadata.whatsapp.sharedContacts.phones.phone
string
obligatoire
response.text.metadata.whatsapp.sharedContacts.phones.type
string
obligatoire
response.text.metadata.whatsapp.sharedContacts.phones.waId
string
obligatoire
response.text.metadata.whatsapp.sharedContacts.vcard
string
response.text.text
string
obligatoire
response.type
string
obligatoire
Possible values: text
actions
array of object
A list of macro actions to be executed. The order of actions may be changed by the service.
Afficher les attributs enfants
actions.type
string
obligatoire
The type of this action.
actions.params
object
The parameters of this action. The accepted keys and values are defined by the action type.
actions.source
object
The source of this action. If received in a response, should be passed as-is in a subsequent request.
Afficher les attributs enfants
actions.source.macroId
string
obligatoire
actions.source.actionId
string
obligatoire
actions.outcome
string
The outcome of executing this action.
Possible values: OK, Error, Skipped
actions.cause
string
The cause of the outcome of this action, if the outcome is Error.
Exemple de code
curl -X POST 'https://api.bird.com/workspaces/{workspaceId}/macros/{macroId}/preview' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'